{# read and display all flash messages #}
{% for label, messages in app.flashes %}
    {% for message in messages %}
        <div class="alert alert-dismissible alert-{{ label }}" role="alert>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
            </button>
            {{ message|trans }}
        </div>
    {% endfor %}
{% endfor %}